Bug 183161 - Fails to properly set '-mtune' and '-march' parameters during tests
Fails to properly set '-mtune' and '-march' parameters during tests
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gmp (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-26 21:24 EST by Joseph D. Wagner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-26 04:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attempted build of gmp-4.1.4-6.src.rpm (857.76 KB, text/plain)
2006-02-26 21:26 EST, Joseph D. Wagner
no flags Details

  None (edit)
Description Joseph D. Wagner 2006-02-26 21:24:08 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.15-1.1831_FC4; X11; i686; en_US) KHTML/3.5.1 (like Gecko)

Description of problem:
The test portion of gmp-4.1.4-6.src.rpm fails to properly set the '-mtune' and    
'-march' parameters regardless of the '--target' command line option.   
  
During the build of the program itself, both '-mtune' and '-march' are set  
properly.  However, during the build of the tests, '-march' is set to  
'pentium4' and '-mtune' does not exist. Since '-mtune' is not specified, gcc 
assumes the value for '-mtune' is the same as '-march'. 
 
If the architecture on which the package is being compiled does not support 
some of the more advanced instructions of the pentium4, like sse2, the tests 
will fail, resulting in an inability to build the package. 

Version-Release number of selected component (if applicable):
gmp-4.1.4-6.src.rpm

How reproducible:
Always

Steps to Reproduce:
Simply execute the following command on architectures that do not support the  
more advanced instructions:  
rpmbuild --rebuild gmp-4.1.4-6.src.rpm 

Actual Results:  make attempted to execute instructions not supported by the compiling 
architecture during the tests, which resulted in the tests failing. 

Expected Results:  make should have never built the tests with instruction not supported by the 
architecture, which would have resulted in successful test, and subsequently, 
a successful build. 

Additional info:

I tried it both with the '--target=i686' and without the '--target' command 
line option.  Results were the same both times. 
 
Since the package won't build regardless of the '--target' command line option  
on architectures that don't support the test, I set the priority to normal.
Comment 1 Joseph D. Wagner 2006-02-26 21:26:44 EST
Created attachment 125297 [details]
Attempted build of gmp-4.1.4-6.src.rpm
Comment 2 Thomas Woerner 2006-06-08 12:24:35 EDT
Which architecture has the machine, where you are building this packages?
Comment 4 Ivana Varekova 2007-07-26 04:33:39 EDT
Unfortunately there's not enough information here, therefore closing this
bugzilla. Please re-open if needed.

Note You need to log in before you can comment on or make changes to this bug.